Update an existing Shared Custom Field Association
You can change the required or the editable_with_roles attributes. Everything else cannot be changed.
The object_type in the URL can be either:
leadwhen editing the association with the Lead object.contactwhen editing the association with the Contact object.opportunitywhen editing the association with the Opportunity object.custom_activity_type/<catype_id>when editing the association with a specific Custom Activity Type.custom_object_type/<cotype_id>when editing the association with a specific Custom Object Type.
Authentication
AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
scf_id
object_type
Request
This endpoint expects any.
Response
Successful response
Errors
400
Bad Request Error
401
Unauthorized Error
404
Not Found Error